
# Copyright (C) Johan Ceuppens 2015
# Copyright (C) Johan Ceuppens 2014 
# Copyright (C) Johan Ceuppens 2010 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


import pygame
from pygame.locals import *
from maproomtown import *
from box import *
from ropez import *
from ropeellips import *

class Maproom1(Maproomtown):
    "Dungeon"
    def __init__(self, xx,yy,ww,hh):
	Maproomtown.__init__(self,xx,yy,ww,hh)	
	self.bgimage = pygame.image.load('./pics/bg-town1.png')
	self.locationtext = "Bosque"

    	self.gameobjects.append(Box(0,300,2000,12))

	###self.ropes.append(Ropez(300,200,100))
	self.ropes.append(Ropez(300,150,100))
	self.ropes.append(RopeEllips(300,200,100,100,100))
