
# Copyright (C) Johan Ceuppens 2015
# Copyright (C) Johan Ceuppens 2014
# Copyright (C) Johan Ceuppens 2010 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


import pygame
from pygame.locals import *
import random 
import math 
from rng import *
from stateimagelibrary import *

class Player:
    "Game object"
    def __init__(self, xx,yy):
	self.x = xx 
        self.y = yy
	# default width and height 
        self.w = 48
        self.h = 48
        self.SCREENH = 640
        self.SCREENW = 400
	self.LEFT = 0
	self.RIGHT = 1
	self.UP = 2
	self.DOWN = 3
	self.hitpoints = 1200
	self.jumpcounter = 0

	self.rng = RNG(self)

	self.stimlibleft = Stateimagelibrary() 
	self.stimlibright = Stateimagelibrary() 
	image = pygame.image.load('./pics/player-right-1.png').convert()
	image.set_colorkey((0,0,255))
     	self.stimlibright.addpicture(image)
	image = pygame.image.load('./pics/player-left-1.png').convert()
	image.set_colorkey((0,0,255))
     	self.stimlibleft.addpicture(image)

	self.direction = self.LEFT 
 
    def getrng(self):
	return self.rng
 
    def draw(self, screen, room):
	if self.direction == self.LEFT:
		self.stimlibleft.draw(screen, self.x,self.y) 
	elif self.direction == self.RIGHT:
		self.stimlibright.draw(screen, self.x,self.y) 

    def collide(self, room):
        if (player.x-room.relativex >= self.x  and 
	player.x-room.relativex <= self.x+self.w and 
	player.y+player.h-room.relativey >= self.y+self.h and #FIXED +self.h
	player.y-room.relativey <= self.y):
	    print "collision in player!"	
	    return 4 #FIXME1 check for previous return 2
	else:
	    return 0

    def notintheair(self):
	if self.jumpcounter == 0:
		return 1
	else:
		return 0

    def jump(self, room):
       	self.jumpcounter = 33

    def update(self,room):
       if self.jumpcounter > 0 and self.jumpcounter < 140:
	    for r in room.roofs:
		if r.collide(room, self):
			self.jumpcounter = 140
            		###FIXMEroom.relativey -= 45 
            		room.relativey -= 34 
			return
            room.relativey += 33
            self.jumpcounter += 15
       else:   
            self.jumpcounter = 0

    def fight(self,room,player):
	1
    
    def undomove(self):
	1

