
# Copyright (C) Johan Ceuppens 2015 
# Copyright (C) Johan Ceuppens 2010 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


import pygame
from pygame.locals import *
from ropeimpzdiag import *
import math

class RopeImpzDiagEllips(RopeImpzDiag):
    "Rope Bridge"
    def __init__(self,xx,yy,aa,bb,radius,imagefilename,r,g,b):
	####FIXME x,y,x,y
       	RopeImpzDiag.__init__(self,xx,yy,xx,yy,imagefilename,r,g,b)

	# the middle x of the ellips x^2+y^2=r^2
	self.x = xx
	self.y = yy	
	# NOTE x^2/a^2 + y^2/b^2 = r^2
	self.a = aa
	self.b = bb

	self.r = radius

    def lower(self, player):
	# ellips code
	1

    def collide(self, room, player):
	print "px=%d, roomx=%d" % (player.x,self.x+room.relativex)
	if (player.x > self.x+room.relativex and 
		player.x < self.x+room.relativex and
		player.y > self.y+room.relativey and 
		player.y < self.y+room.relativey + self.h):
		return 1
	return 0

    def calcx(self,y):
	return math.sqrt(self.b*self.b*(self.y*self.y/self.a*self.a - self.r*self.r))
    
    def calcy(self,x):
	return math.sqrt(self.b*self.b*(self.x*self.x/self.a*self.a - self.r*self.r))
   
    def drawon(self, screen, room):
	for x in range(0,100):
		screen.blit(self.imagepiece, (self.x+room.relativex, round(self.calcy(x))+room.relativey))
     
